Name: airsnort
Version: 0.2.7e
Release: alt4

Summary: 802.11b/g WEP Encryption key cracker
Summary(ru_RU.KOI8-R):      802.11b/g WEP 
Group: Networking/Other
License: GPL
Url: http://%name.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.desktop
Source2: %name.png

BuildRequires: libgtk+2-devel libpcap-devel

%description
AirSnort is a wireless LAN (WLAN) tool which cracks encryption keys on 802.11b
WEP networks. AirSnort operates by passively monitoring transmissions,
computing the encryption key when enough packets have been gathered.

%description -l ru_RU.KOI8-R
AirSnort       802.11b/g WEP .

%prep
%setup -q

%build
%configure --prefix=/usr
%make

%install
%makeinstall

install -pm755 -d %buildroot%_datadir/applications
install -pm644 %SOURCE1 %buildroot%_datadir/applications/
install -pm755 -d %buildroot%_datadir/icons
install -pm644 %SOURCE2 %buildroot%_datadir/icons/

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README README.decrypt TODO
%_bindir/*
%_datadir/applications/*.desktop
%_datadir/icons/*.png
%_man1dir/*

%changelog
* Fri Mar 06 2009 Pavlov Konstantin <thresh@altlinux.ru> 0.2.7e-alt4
- Remove unneeded update-menu calls.

* Wed Jul 18 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.7e-alt3
- Added desktop file.

* Sat Jan 27 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.7e-alt2
- Fixed summaries.
- Fixed descriptions.
- Fixed buildrequires.
- Some spec cleanup.

* Tue May 17 2005 Vitaly Smirnov <device@altlinux.org> 0.2.7e-alt1
- Inital release
